#ifndef LATENCYMODEL_H_
#define LATENCYMODEL_H_

#include "quantities/WiringPath.h"
#include "quantities/RealDelay.h"

namespace cosi {

namespace models {

namespace wiredbas {

class WireDelay {

public:

	WireDelay();

	virtual ~WireDelay();

	virtual RealDelay Get(WiringPath pPath);

	virtual double GetValue(WiringPath pPath);
	

};

}
}
}

#endif /*LATENCYMODEL_H_*/
